#ifndef __RV_TRANSFORM_H_INCLUDED_
#define __RV_TRANSFORM_H_INCLUDED_


   


#define TFORM_API  WINAPI

 
    #include <rvb\rvtypes.h>
 


//数据类型变换，直接将数据元素拷贝到其它类型的MATRIX。
extern "C" RvMatrix TFORM_API rvCastTransform(RvImage image, RvMatrix dest=NULL);

#define RV_DT_EUCLIDEAN    0
#define RV_DT_CITY_BLOCK   1
#define RV_DT_CHESSBOARD   2
extern "C" RvMatrix TFORM_API rvDistanceTransform(RvImage image, int type, RvMatrix dest=NULL);


extern "C" RvMatrix TFORM_API rvNormalTransform(RvImage image,  double nAvg, double nVar, RvMatrix dest=NULL);




















#endif
